Subject: bug#21133: Fwd: [Bug 555622] app-editors/emacs-vcs-25.0.50_pre20150630 : ftcrfont.c:109:5: error: ‘ftfont_driver’ undeclared (first use in this function)

From: Ulrich Mueller <[email-masked]>
Date: Sun, 26 Jul 2015 14:14:06 +0200

> If I may summarise:

> ./configure --with-cairo --without-xft

> fails with undefined reference to ftfont_driver in ftcrfont.c.

> Perhaps this is simply not a sensible set of configure options to
> use.

Maybe configure should take care of this, and enable cairo only under
the condition that xft is enabled too?

There is a similar problem with --with-cairo --without-png, by the
way. When linking temacs:
image.o:(.data+0x90): undefined reference to `png_load'

> I would also suggest that Gentoo stop enabling --with-cairo,
> and that the --with-cairo option perhaps be labelled experimental.

In fact, our whole app-editors/emacs-vcs package is experimental.
We usually reveal any upstream configure options as USE flags.
(After all, this is not an experimental branch, but git master.)

Of course, I can mask the cairo flag in addition, if you think that's
appropriate.